<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/configuration_header/init.jsp" %>

<aui:fieldset cssClass="options-group" label="<%= label %>" markupView="lexicon">
	<aui:model-context bean="<%= exportImportConfiguration %>" model="<%= ExportImportConfiguration.class %>" />

	<aui:input name="nameRequired" type="hidden" value="1" />

	<aui:input label="title" name="name" showRequiredLabel="<%= true %>">
		<aui:validator name="required">
			function() {
				var nameRequiredInput = document.getElementById('<portlet:namespace />nameRequired');

				if (nameRequiredInput) {
					return nameRequiredInput.value === "1";
				}
			}
		</aui:validator>
	</aui:input>

	<aui:input label="description" name="description" />
</aui:fieldset>