<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<aui:script>
	Liferay.Util.setPortletConfigurationIconAction(
		'<portlet:namespace />import',
		() => {
			Liferay.Util.openModal({
				onClose: function (event) {
					window.location.reload();
				},
				title: '<liferay-ui:message key="import" />',
				url:
					'<%=
						PortletURLBuilder.create(
							PortalUtil.getControlPanelPortletURL(liferayPortletRequest, StyleBookPortletKeys.STYLE_BOOK, PortletRequest.RENDER_PHASE)
						).setMVCRenderCommandName(
							"/style_book/view_import"
						).setWindowState(
							LiferayWindowState.POP_UP
						).buildString()
			%>',
			});
		}
	);
</aui:script>