<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/process_date/init.jsp" %>

<c:if test="<%= date != null %>">
	<c:choose>
		<c:when test="<%= listView %>">
			<span class="process-date <%= labelKey %>"><%= dateFormatDateTime.format(date) %></span>
		</c:when>
		<c:otherwise>
			<liferay-ui:message key="<%= labelKey %>" />: <%= dateFormatDateTime.format(date) %>
		</c:otherwise>
	</c:choose>
</c:if>