<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/process_info/init.jsp" %>

<clay:container-fluid
	cssClass="text-secondary"
>
	<clay:row>
		<clay:col
			sm=""
		>
			<liferay-staging:process-title
				backgroundTask="<%= backgroundTask %>"
				listView="<%= false %>"
			/>
		</clay:col>
	</clay:row>

	<clay:row>
		<clay:col
			sm=""
		>
			<%= HtmlUtil.escape(userName) %>
		</clay:col>

		<clay:col
			sm=""
		>
			<liferay-staging:process-date
				date="<%= backgroundTask.getCreateDate() %>"
				labelKey="start-date"
				listView="<%= false %>"
			/>
		</clay:col>

		<clay:col
			sm=""
		>
			<liferay-staging:process-date
				date="<%= backgroundTask.getCompletionDate() %>"
				labelKey="completion-date"
				listView="<%= false %>"
			/>
		</clay:col>
	</clay:row>

	<clay:row>
		<clay:col>
			<liferay-staging:process-in-progress
				backgroundTask="<%= backgroundTask %>"
				listView="<%= false %>"
			/>
		</clay:col>
	</clay:row>

	<clay:row>
		<clay:col>
			<liferay-staging:process-status
				backgroundTaskStatus="<%= backgroundTask.getStatus() %>"
				backgroundTaskStatusLabel="<%= backgroundTask.getStatusLabel() %>"
			/>
		</clay:col>
	</clay:row>
</clay:container-fluid>