<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/process_list_menu/init.jsp" %>

<liferay-ui:icon-menu
	direction="left-side"
	icon="<%= StringPool.BLANK %>"
	markupView="lexicon"
	message="<%= StringPool.BLANK %>"
	showWhenSingleIcon="<%= true %>"
>
	<c:if test="<%= relaunchMenu %>">
		<%@ include file="/process_list_menu/items/relaunch.jspf" %>
	</c:if>

	<c:if test="<%= deleteMenu %>">
		<%@ include file="/process_list_menu/items/delete.jspf" %>
	</c:if>

	<c:if test="<%= summaryMenu %>">
		<%@ include file="/process_list_menu/items/summary.jspf" %>
	</c:if>
</liferay-ui:icon-menu>