<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/process_status/init.jsp" %>

<%
String displayType = "info";

if (backgroundTaskStatus == BackgroundTaskConstants.STATUS_FAILED) {
	displayType = "danger";
}
else if (backgroundTaskStatus == BackgroundTaskConstants.STATUS_IN_PROGRESS) {
	displayType = "warning";
}
else if (backgroundTaskStatus == BackgroundTaskConstants.STATUS_SUCCESSFUL) {
	displayType = "success";
}
%>

<clay:label
	cssClass='<%= "process-status background-task-status-" + backgroundTaskStatusLabel %>'
	data-qa-id="processResult"
	displayType="<%= displayType %>"
	label="<%= backgroundTaskStatusLabel %>"
/>